Subject: Re: [PATCH 1/2] 8139too: Make PIO/MMIO a modparam

From: Dave Jones <[email-masked]>
Date: Thu, 29 May 2008 14:41:06 -0400

On Thu, May 29, 2008 at 02:18:45PM -0400, Jeff Garzik wrote:
 > Dave Jones wrote:
 > > Make PIO/MMIO a runtime thing via a module parameter.
 > > This is needed to support devices that only work with PIO
 > > without penalising devices that work fine with MMIO in
 > > distro kernels.
 > > 
 > > Signed-off-by: Dave Jones <[email-masked]>
 > 
 > two comments:
 > 
 > 1) should use pci_iomap() for both PIO and MMIO
 > 
 > 2) modparam should be "use_io" mirroring existing drivers

Ok, I'll take a stab at those later today (and also your comment
from the other mail).

One other thing: I wasn't sure about my changes to rtl8139_get_regs
and rtl8139_get_regs_len.  Is what I did there safe?
Obviously actually implementing support for PIO reg dumping would
be better, but I think that's beyond the scope of what I'm trying
to do for now.

	Dave

-- 
http://www.codemonkey.org.uk